//	Persistence of Vision Ray Tracer Include File
//	File: fish.inc
//	Date: 6.5.00 
//	Author:  RJay Hansen


#version unofficial MegaPov 0.5;

# declare eyeTex = texture {
			pigment {
				rgb <0.129992, 0.112047, 0.083192>
			}
			finish {
				diffuse 0.35
				specular .995
				roughness 0.005
			}
	}

#declare spineTex = texture {
		pigment {
			rgbf <0.649928, 0.979995, 0.558602, 0.2>
		}
		finish {
						irid {
							0.25
							thickness .1
							turbulence <0.0, 1.0, 0.0>
						}
						diffuse 0.6
						specular .975
						roughness 0.01
					}
	}
#declare finTex = texture { pigment {
	rgbf <0.264622, 0.979995, 0.383795, 0.8>
		}
	finish {
						irid {
							0.25
							thickness .1
							turbulence <0.0, 1.0, 0.0>
						}
						diffuse 0.6
						specular .975
						roughness 0.01
					}
	}

#include "fish_3.inc"
#declare myFish = union {
	object{ group0// fish_body
		texture{ pigment {
			bozo
			color_map {
				[ 0.0 rgb  <0.100023, 1.000000, 0.264958>]
				[ .65 rgb  <0.100023, 1.000000, 0.264958>]
				[ .75 rgb  <0.209018, 0.949996, 0.949935>]
				[ 1 rgb  <0.989044, 1.000000, 0.140017>]
						}
						//turbulence .45
						scale <2, 2, 12>
					}
				finish {
					irid {
						0.50
						thickness .1
						turbulence <0.0, 1.0, 0.0>
					}
					diffuse 0.6
					specular .975
					roughness 0.01
				}
				normal {
					bump_map {
						tga "Dragon Scales 1.tga"
						map_type 0	//planar
						interpolate 0	//none
						use_color 
						bump_size 2
					}
						scale 2

				}


					}
	}
	object{ group1// tail_Right
		texture{ finTex }
	}
	object{ group2// tailSpine_1
		texture{ spineTex }
	}
	object{ group3// tailSpine_3
		texture{ spineTex }
	}
	object{ group4// tailSpine_4
		texture{ spineTex }
	}
	object{ group5// tailSpine_5
		texture{ spineTex }
	}
	object{ group6// tailSpine_6
		texture{ spineTex }
	}
	object{ group7// tailSpine_7
		texture{ spineTex }
	}
	object{ group8// tailSpine_8
		texture{ spineTex }
	}
	object{ group9// tailSpine_2
		texture{ spineTex }
	}
	object{ group10// tailSpine_9
		texture{ spineTex }
	}
	object{ group11// top_finR
		texture{ finTex }
	}
	object{ group12// finSpine_1
		texture{ spineTex }
	}
	object{ group13// finSpine_2
		texture{ spineTex }
	}
	object{ group14// finSpine_3
		texture{ spineTex }
	}
	object{ group15// finSpine_4
		texture{ spineTex }
	}
	object{ group16// finSpine_5
		texture{ spineTex }
	}
	object{ group17// finSpine_6
		texture{ spineTex }
	}
	object{ group18// finSpine_7
		texture{ spineTex }
	}
	object{ group19// finSpine_8
		texture{ spineTex }
	}
	object{ group20// finSpine_9
		texture{ spineTex }
	}
	object{ group21// tail_Left
		texture{ finTex }
	}
	object{ group22// top_finL
		texture{ finTex }
	}
	object{ group23// right_eye
		texture{ eyeTex }
	}
	object{ group24// left_eye
		texture{ eyeTex }
	}
	object{ group25// left_fin
		texture{ spineTex }
	}
	object{ group26// right_fin
		texture{ spineTex }
	}
	scale .025
	rotate    <-90, 90, 0>
	translate <.5, 0, 0>
}